com.pixelmed.test

## Class TestCTAcquisitionParameters

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCTAcquisitionParameters

-     public class TestCTAcquisitionParameters
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCTAcquisitionParameters(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCTAcquisitionParametersConstructor_Equality_WithTID10014ScanningLength()`
    `void` | `TestCTAcquisitionParametersConstructor_Equality()`
    `void` | `TestCTAcquisitionParametersConstructor_EqualityWithSomeNullValues()`
    `void` | `TestCTAcquisitionParametersConstructor_WithAllParameters_CloneConstructor()`
    `void` | `TestCTAcquisitionParametersConstructor_WithAllParameters_Merge()`
    `void` | `TestCTAcquisitionParametersConstructor_WithAllParameters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCTAcquisitionParameters

          public TestCTAcquisitionParameters(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCTAcquisitionParametersConstructor_WithAllParameters

          public void TestCTAcquisitionParametersConstructor_WithAllParameters()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTAcquisitionParametersConstructor_Equality

          public void TestCTAcquisitionParametersConstructor_Equality()
                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTAcquisitionParametersConstructor_EqualityWithSomeNullValues

          public void TestCTAcquisitionParametersConstructor_EqualityWithSomeNullValues()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTAcquisitionParametersConstructor_Equality_WithTID10014ScanningLength

          public void TestCTAcquisitionParametersConstructor_Equality_WithTID10014ScanningLength()
                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTAcquisitionParametersConstructor_WithAllParameters_CloneConstructor

          public void TestCTAcquisitionParametersConstructor_WithAllParameters_CloneConstructor()
                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTAcquisitionParametersConstructor_WithAllParameters_Merge

          public void TestCTAcquisitionParametersConstructor_WithAllParameters_Merge()
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`